%define module	Apache-Filter
%define version	1.018
%define release	1mdk

Packager:	Jean-Michel Dault <jmdault@mandrakesoft.com>
Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl >= 5.600, apache-mod_perl
BuildRequires:	apache-mod_perl
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" APACHE=%{_sbindir}/httpd-perl perl Makefile.PL <<EOF


EOF
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%doc README Changes
%{_libdir}/perl5/man/man*/*
%dir %{_libdir}/perl5/site_perl/*/Apache
%{_libdir}/perl5/site_perl/*/Apache/*

%changelog
* Fri Aug 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.018-1mdk
- 1.018.
- removed filelist, now use globing directly and macros.
- updated license.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.011-5mdk
- Rebuild this against perl 5.6.1.
- Remove Vendor and Distribution tag.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.011-4mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean spec a bit

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.011-3mdk
- removed .packlist and .bs files from filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.011-2mdk
- added BuildRequires apache-mod_perl

* Tue Jul 18 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.011-1mdk
- 1.011
- Macroize package

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 1.006-1mdk
- updated to 1.006

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.005

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
